
broker amqps://anonymous@ddi.science.gc.ca/
exchange xpublic

on_message msg_log
on_message msg_WMO_type_suffix

directory /home/pas037/public_html/WMO_Sketch/

subtopic *.UCAR-UNIDATA.WMO-BULLETINS.#

# /20181218/UCAR-UNIDATA/WMO-BULLETINS/IX/21/IXTD99_KNES_182147_9d73fc80e12fca52a06bf41c716cd718

directory /home/pas037/public_html/WMO_Sketch/${0}${RHH}/${3}/${1}/

# reject 5 GB of .hdf data daily. not needed for demo.
reject .*/IX.*KNES.*

# reject other binary data that's too large for now... (but hundreds of MB's, not Gigs.)
reject .*\/KWBC\/Y[HOPQRTUV]\/.*
reject .*\/KWBC\/H[HOPRSTUV]\/.*
reject .*\/KWBG\/.*

#  $0 = YYYYMMDD, $1 = TT, $2 = GG, $3 = CCCC
accept .*\/([0-9]{8})\/[^\/]*\/[^\/]*\/([A-Z]{2})\/([0-9]{2})\/......_([A-Z]{4})_.*

instances 5

post_broker amqps://pas037@hpfx.science.gc.ca/
post_exchange xs_pas037_wmosketch_files
post_base_url file:/
